error running config_gui.py

419 views
0 Comments

when running configuration with gui I always get error
pi@rpi3:~ $ sudo -E python3 strompi_config_gui.py
Traceback (most recent call last):
File „strompi_config_gui.py“, line 66, in <module>
sp3_ADC_Wide = float(serial_port.readline(9999))/1000;
ValueError: could not convert string to float:

Answered question

4 Answers

Good morning Freddie,
you can check the firmware version with the help of the serial console.

  1. start minicom
  2. start the console with „startstrompiconsole“
  3. „show-status“ shows the actual settings of the StromPi 3 and the actual firmware (note: before 1.2 it doesn’t show the firmware version)

Alternatively, you can run the StromPi status python script.
Or you just install the latest Firmware. Then you know for sure which firmware is installed.
Best regards.
Nils (Joy-IT)

Answered question
Josef (anonymous) 0 Comments

python3 -E StromPi3_Status.py
Traceback (most recent call last):
File „StromPi3_Status.py“, line 145, in <module>
sp3_ADC_Wide = float(serial_port.readline(9999))/1000;
ValueError: could not convert string to float:

Answered question
Josef (anonymous) 0 Comments

How to check current Firmware version?

Answered question

Good morning Freddie,
There are 2 main reasons for this kind of error. Sometimes it happens, that there is still a line in the serial buffer. In this case just execute „sudo -E python3 strompi_config_gui.py“ again and should work.
If the version of the config script doesn’t match the firmware version this error could also occure. Make sure, that the config script is for the firmware you are using.

Best regards
Nils (Joy-IT)

Answered question
Write your answer.